/*
 * JPA2 entity template for JEE6
 *
 *
 * Takatuka - Template fuer JPA JEE6
 *
 * Moeglichkeiten und Einschraenkungen:
 * - Beziehungen werden abgebildet
 * -- es gibt keine 1:1 Beziehungen
 * -- N:M Beziehungen sind immer bidirektional
 * - Vererbung wird nicht unterstuetzt
 */

package de.ivu.elect.business.staat.entity;

public interface StaatBase extends 
de.ivu.elect.jee.entity.customdata.CustomDataEntity<StaatPK, StaatUK>

{

  
  /**
   * getter for primary key wrapper STAAT.staat_id
   *
   * @return
   */
  @Override
  StaatPK getPk();
    

  /**
   * ATTRIBUTE
   */

    

  /**
   * 
   *
   * getter for STAAT.CODE_STAAT
   *
   */
  java.lang.String getCustomCodeStaat();

  /**
   * 
   *
   * setter for STAAT.CODE_STAAT
   *
   * @param customCodeStaat
   */
  void setCustomCodeStaat(java.lang.String customCodeStaat);
      

  /**
   * 
   *
   * getter for STAAT.CODE_STAATSANGEHOERIGKEIT
   *
   */
  java.lang.String getCustomCodeStaatsangehoerigkeit();

  /**
   * 
   *
   * setter for STAAT.CODE_STAATSANGEHOERIGKEIT
   *
   * @param customCodeStaatsangehoerigkeit
   */
  void setCustomCodeStaatsangehoerigkeit(java.lang.String customCodeStaatsangehoerigkeit);
      

  /**
   * 
   *
   * getter for STAAT.EU_STAAT
   *
   */
  java.lang.Boolean getEuStaat();

  /**
   * 
   *
   * setter for STAAT.EU_STAAT
   *
   * @param euStaat
   */
  void setEuStaat(java.lang.Boolean euStaat);
      

  /**
   * 
   *
   * getter for STAAT.ISO3166_ALPHA2
   *
   */
  java.lang.String getIso3166Alpha2();

  /**
   * 
   *
   * setter for STAAT.ISO3166_ALPHA2
   *
   * @param iso3166Alpha2
   */
  void setIso3166Alpha2(java.lang.String iso3166Alpha2);
      

  /**
   * 
   *
   * getter for STAAT.ISO3166_NUMERISCH
   *
   */
  java.lang.String getIso3166Numerisch();

  /**
   * 
   *
   * setter for STAAT.ISO3166_NUMERISCH
   *
   * @param iso3166Numerisch
   */
  void setIso3166Numerisch(java.lang.String iso3166Numerisch);
      

  /**
   * 
   *
   * getter for STAAT.NAME_STAAT
   *
   */
  java.lang.String getNameStaat();

  /**
   * 
   *
   * setter for STAAT.NAME_STAAT
   *
   * @param nameStaat
   */
  void setNameStaat(java.lang.String nameStaat);
      

  /**
   * 
   *
   * getter for STAAT.NAME_STAATSANGEHOERIGKEIT
   *
   */
  java.lang.String getNameStaatsangehoerigkeit();

  /**
   * 
   *
   * setter for STAAT.NAME_STAATSANGEHOERIGKEIT
   *
   * @param nameStaatsangehoerigkeit
   */
  void setNameStaatsangehoerigkeit(java.lang.String nameStaatsangehoerigkeit);
  
/**
 * Beziehungen N:1 unidirektional
 */

  /**
   * 
   */
  void setCustomDataStorage(de.ivu.elect.business.customdata.entity.CustomDataStorage customDataStorage);

  /**
   * 
   */
  de.ivu.elect.business.customdata.entity.CustomDataStorage getCustomDataStorage();



/**
 * Beziehungen N:1 bidirektional
 */


/**
 * Beziehungen 1:N unidirektional (nicht unterstuetzt)
   */

/**
 * Beziehungen 1:N bidirektional
   */

/**
 * Beziehungen N:M bidirektional nicht selbstreferenzierend
   */

/**
 * Beziehungen N:M bidirektional selbstreferenzierend
   */
}
